describe NaturalBornSlugger do
  subject(:library) { NaturalBornSlugger }

  context "in order to be configurable" do
    it { should respond_to :configuration }
    it { should respond_to :configure }

    it "should require library internals after configuration" do
      library.should_receive(:require_internals!)
      library.configure
    end
  end

  context "in order to write to logs" do
    it { should respond_to :logger }
  end
end
