class Example
  include NaturalBornSlugger
  attr_accessor :attribute
  def initialize
    @attribute = 'attribute'
  end
  def meth
    'method'
  end
  def child
    ExampleChild.new
  end
end

class ExampleChild
  attr_accessor :attribute
  def initialize
    @attribute = 'child attribute'
  end
  def meth
    'child method'
  end
  def child
    ExampleGrandChild.new
  end
end

class ExampleGrandChild
  attr_accessor :attribute
  def initialize
    @attribute = 'grandchild attribute'
  end
  def meth
    'grandchild method'
  end
end

class FreezableObject
  include NaturalBornSlugger
  attr_accessor :name
  has_natural_key name: :dashify

end