# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'natural_born_slugger/version'

Gem::Specification.new do |spec|
  spec.name          = "natural_born_slugger"
  spec.version       = NaturalBornSlugger::VERSION
  spec.authors       = ["Christopher Keele"]
  spec.email         = ["dev@chriskeele.com"]
  spec.description   = %q{A gem for managing composed attributes, especially natural keys and url slugs.}
  spec.summary       = %q{Easily define automatically-updated composed attributes. Includes ORM helpers and a Rack-based URL redirector.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler",    "~> 1.3"
  spec.add_development_dependency "rake",       "~> 10.0"
  spec.add_development_dependency "yard",       "~> 0.8"
  spec.add_development_dependency "redcarpet",  "~> 2.2"
  spec.add_development_dependency "rspec",      "~> 2.13"
  spec.add_development_dependency "pry"

  spec.add_dependency 'activesupport',          '>= 3.1'
end
