describe NaturalBornSlugger::Configuration do
  subject(:config) { NaturalBornSlugger.configuration }

  describe "the default configuration" do

    it "should ignore attribute setters" do
      config.ignore_attribute_setters.should be_true
    end
    it "should truncate hashed values at 7" do
      config.hashified_length.should eql(7)
    end
    it "should have a basic logger" do
      config.logger.should be_a(Logger)
    end

  end

end
